unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Shape1: TShape;
    Shape2: TShape;
    Shape3: TShape;
    Shape4: TShape;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Memo1: TMemo;
    Memo2: TMemo;
    Memo3: TMemo;
    Memo4: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Label3Click(Sender: TObject);
    procedure Label4Click(Sender: TObject);
    procedure Label5Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  i,A,B,C,D,max:integer;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
i:=1;
A:=0;
B:=0;
C:=0;
D:=0;
max:=0;
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
if i=16 then
begin
if max<A then max:=A;
if max<B then max:=B;
if max<C then max:=C;
if max<D then max:=D;
if max=A then Memo1.Visible:=True;
if max=B then Memo2.Visible:=True;
if max=C then Memo3.Visible:=True;
if max=D then Memo4.Visible:=True;
end;

i:=i+1;
A:=A+1;
if i=1 then
begin
Label1.Caption:='1.Вы приходите к друзьям на ужин.';
Label2.Caption:='И сразу приступаете к аперитиву!';
Label3.Caption:='Вы с наслаждением вдыхаете запахи, доносящиеся из кухни.';
Label4.Caption:='Вы делаете вид, что недавно плотно перекусили, чтобы избежать необходимости есть.';
Label5.Caption:='Вы голодны и спрашиваете себя, когда же все сядут за стол.';
end;

if i=2 then
begin
Label1.Caption:='2. Вы заняты приготовлением обеда.';
Label2.Caption:='В процессе готовки вы отщипываете и съедаете по кусочку каждого блюда.';
Label3.Caption:='Вы пользуетесь случаем, чтобы изобрести новый рецепт.';
Label4.Caption:='Вы кладете побольше другим и поменьше себе...';
Label5.Caption:='Вы берете кетчуп и заправляете макароны.';
end;

if i=3 then
begin
Label1.Caption:='3. В ресторане официант приносит вам тарелку с огромной порцией.';
Label2.Caption:='Ваши мысли уже заняты десертом.';
Label3.Caption:='Вы наслаждаетесь едой!';
Label4.Caption:='Вы падаете духом и не можете доесть блюдо.';
Label5.Caption:='Вы -говорите себе, что на некоторое время голод вам не грозит.';
end;

if i=4 then
begin
Label1.Caption:='4. Как вам кажется, вы бываете голодны...';
Label2.Caption:='всегда.';
Label3.Caption:='когда наступает время еды и иногда между приемами пищи.';
Label4.Caption:='редко.';
Label5.Caption:='как и все люди.';
end;

if i=5 then
begin
Label1.Caption:='5. Вы встаете из-за стола после плотного обеда.';
Label2.Caption:='"Я сыт(а)!"';
Label3.Caption:='Напрашивается отдых на диване!"';
Label4.Caption:='"Я чувствую тяжесть."';
Label5.Caption:='"Вернемся к тому, что я делал(а) до еды."';
end;

if i=6 then
begin
Label1.Caption:='6. В течение рабочей недели вы чаще едите днем...';
Label2.Caption:='большой стейк с жареной картошкой.';
Label3.Caption:='немного чего-нибудь попроще.';
Label4.Caption:='легкий овощной салат.';
Label5.Caption:='сэндвич.';
end;

if i=7 then
begin
Label1.Caption:='7. Есть - это...';
Label2.Caption:='потребность.';
Label3.Caption:='настоящее удовольствие.';
Label4.Caption:='то, что мы вынуждены делать.';
Label5.Caption:='физиологическая функция.';
end;

if i=8 then
begin
Label1.Caption:='8. Глядя в зеркало, вы констатируете, что ваши формы округлились.';
Label2.Caption:='Ну же, надо съесть что-нибудь вкусненькое, чтобы себя утешить!';
Label3.Caption:='Нужно будет последить за весом.';
Label4.Caption:='Ой-ой-ой! Сегодня никакого обеда!';
Label5.Caption:='Наплевать! У меня хватает других забот!';
end;

if i=9 then
begin
Label1.Caption:='9. В детстве вы предпочитали:';
Label2.Caption:='фрукты.';
Label3.Caption:='конфеты.';
Label4.Caption:='только не сладости.';
Label5.Caption:='булочки.';
end;

if i=10 then
begin
Label1.Caption:='10. Сейчас вы любите...';
Label2.Caption:='Больше - сладкое.';
Label3.Caption:='Сладкое, соленое, пряное, острое - все!';
Label4.Caption:='Больше - соленое.';
Label5.Caption:='Мне не важно, что есть.';
end;

if i=11 then
begin
Label1.Caption:='11. Ваши друзья нередко говорят, что вы...';
Label2.Caption:='обжора.';
Label3.Caption:='утонченный гурман.';
Label4.Caption:='едите как птичка.';
Label5.Caption:='глотаете не жуя.';
end;

if i=12 then
begin
Label1.Caption:='12. По-вашему, идеальная кухня должна быть похожа на...';
Label2.Caption:='супермаркет.';
Label3.Caption:='пещеру Али-Бабы.';
Label4.Caption:='выставочный образец.';
Label5.Caption:='закусочную.';
end;

if i=13 then
begin
Label1.Caption:='13. К вам пришли родственники.';
Label2.Caption:='Вы скупаете весь супермаркет, чтобы у вас наверняка было все необходимое.';
Label3.Caption:='Вы готовите блюдо, которое они любят.';
Label4.Caption:='Единственный выход - заказать доставку готовых блюд: дорого, но идеально!';
Label5.Caption:='Вы покупаете замороженную пиццу.';
end;

if i=14 then
begin
Label1.Caption:='14. Вы присели съесть мороженое и стали свидетелем громкой ссоры.';
Label2.Caption:='От потрясения вы проглатываете ваш рожок в два глотка.';
Label3.Caption:='Вы пытаетесь успокоить ссорящихся, рискуя уронить мороженое.';
Label4.Caption:='Вы пересаживаетесь в другое место и выбрасываете мороженое: от этого зрелища у вас пропал аппетит.';
Label5.Caption:='Вы наблюдаете эту сцену издалека и про должаете есть мороженое.';
end;

if i=15 then
begin
Label1.Caption:='15. Дождливое воскресенье. Вы, скучая, заходите на кухню...';
Label2.Caption:='Вы берете из вазочки печенье.';
Label3.Caption:='Вы говорите себе, что на вечер надо непременно испечь (купить) торт.';
Label4.Caption:='Вы замечаете грязь на плите и решаете ее помыть.';
Label5.Caption:='Вы наливаете чашку кофе.';
end;

if i=16 then
begin
Label1.Caption:='16. В гостях у друзей к столу подали блюдо, которое вам категорически не нравится.';
Label2.Caption:='Вы заедаете каждый кусочек хлебом.';
Label3.Caption:='Вы съедаете совсем чуть-чуть, чтобы не обидеть хозяйку.';
Label4.Caption:='Вы сочиняете, что у вас аллергия на один из ингредиентов.';
Label5.Caption:='Вы говорите, что не любите это блюдо, и ждете следующего.';
end;

end;

procedure TForm1.Label3Click(Sender: TObject);
begin
if i=16 then
begin
if max<A then max:=A;
if max<B then max:=B;
if max<C then max:=C;
if max<D then max:=D;
if max=A then Memo1.Visible:=True;
if max=B then Memo2.Visible:=True;
if max=C then Memo3.Visible:=True;
if max=D then Memo4.Visible:=True;
end;

i:=i+1;
B:=B+1;
if i=1 then
begin
Label1.Caption:='1.Вы приходите к друзьям на ужин.';
Label2.Caption:='И сразу приступаете к аперитиву!';
Label3.Caption:='Вы с наслаждением вдыхаете запахи, доносящиеся из кухни.';
Label4.Caption:='Вы делаете вид, что недавно плотно перекусили, чтобы избежать необходимости есть.';
Label5.Caption:='Вы голодны и спрашиваете себя, когда же все сядут за стол.';
end;

if i=2 then
begin
Label1.Caption:='2. Вы заняты приготовлением обеда.';
Label2.Caption:='В процессе готовки вы отщипываете и съедаете по кусочку каждого блюда.';
Label3.Caption:='Вы пользуетесь случаем, чтобы изобрести новый рецепт.';
Label4.Caption:='Вы кладете побольше другим и поменьше себе...';
Label5.Caption:='Вы берете кетчуп и заправляете макароны.';
end;

if i=3 then
begin
Label1.Caption:='3. В ресторане официант приносит вам тарелку с огромной порцией.';
Label2.Caption:='Ваши мысли уже заняты десертом.';
Label3.Caption:='Вы наслаждаетесь едой!';
Label4.Caption:='Вы падаете духом и не можете доесть блюдо.';
Label5.Caption:='Вы -говорите себе, что на некоторое время голод вам не грозит.';
end;

if i=4 then
begin
Label1.Caption:='4. Как вам кажется, вы бываете голодны...';
Label2.Caption:='всегда.';
Label3.Caption:='когда наступает время еды и иногда между приемами пищи.';
Label4.Caption:='редко.';
Label5.Caption:='как и все люди.';
end;

if i=5 then
begin
Label1.Caption:='5. Вы встаете из-за стола после плотного обеда.';
Label2.Caption:='"Я сыт(а)!"';
Label3.Caption:='Напрашивается отдых на диване!"';
Label4.Caption:='"Я чувствую тяжесть."';
Label5.Caption:='"Вернемся к тому, что я делал(а) до еды."';
end;

if i=6 then
begin
Label1.Caption:='6. В течение рабочей недели вы чаще едите днем...';
Label2.Caption:='большой стейк с жареной картошкой.';
Label3.Caption:='немного чего-нибудь попроще.';
Label4.Caption:='легкий овощной салат.';
Label5.Caption:='сэндвич.';
end;

if i=7 then
begin
Label1.Caption:='7. Есть - это...';
Label2.Caption:='потребность.';
Label3.Caption:='настоящее удовольствие.';
Label4.Caption:='то, что мы вынуждены делать.';
Label5.Caption:='физиологическая функция.';
end;

if i=8 then
begin
Label1.Caption:='8. Глядя в зеркало, вы констатируете, что ваши формы округлились.';
Label2.Caption:='Ну же, надо съесть что-нибудь вкусненькое, чтобы себя утешить!';
Label3.Caption:='Нужно будет последить за весом.';
Label4.Caption:='Ой-ой-ой! Сегодня никакого обеда!';
Label5.Caption:='Наплевать! У меня хватает других забот!';
end;

if i=9 then
begin
Label1.Caption:='9. В детстве вы предпочитали:';
Label2.Caption:='фрукты.';
Label3.Caption:='конфеты.';
Label4.Caption:='только не сладости.';
Label5.Caption:='булочки.';
end;

if i=10 then
begin
Label1.Caption:='10. Сейчас вы любите...';
Label2.Caption:='Больше - сладкое.';
Label3.Caption:='Сладкое, соленое, пряное, острое - все!';
Label4.Caption:='Больше - соленое.';
Label5.Caption:='Мне не важно, что есть.';
end;

if i=11 then
begin
Label1.Caption:='11. Ваши друзья нередко говорят, что вы...';
Label2.Caption:='обжора.';
Label3.Caption:='утонченный гурман.';
Label4.Caption:='едите как птичка.';
Label5.Caption:='глотаете не жуя.';
end;

if i=12 then
begin
Label1.Caption:='12. По-вашему, идеальная кухня должна быть похожа на...';
Label2.Caption:='супермаркет.';
Label3.Caption:='пещеру Али-Бабы.';
Label4.Caption:='выставочный образец.';
Label5.Caption:='закусочную.';
end;

if i=13 then
begin
Label1.Caption:='13. К вам пришли родственники.';
Label2.Caption:='Вы скупаете весь супермаркет, чтобы у вас наверняка было все необходимое.';
Label3.Caption:='Вы готовите блюдо, которое они любят.';
Label4.Caption:='Единственный выход - заказать доставку готовых блюд: дорого, но идеально!';
Label5.Caption:='Вы покупаете замороженную пиццу.';
end;

if i=14 then
begin
Label1.Caption:='14. Вы присели съесть мороженое и стали свидетелем громкой ссоры.';
Label2.Caption:='От потрясения вы проглатываете ваш рожок в два глотка.';
Label3.Caption:='Вы пытаетесь успокоить ссорящихся, рискуя уронить мороженое.';
Label4.Caption:='Вы пересаживаетесь в другое место и выбрасываете мороженое: от этого зрелища у вас пропал аппетит.';
Label5.Caption:='Вы наблюдаете эту сцену издалека и про должаете есть мороженое.';
end;

if i=15 then
begin
Label1.Caption:='15. Дождливое воскресенье. Вы, скучая, заходите на кухню...';
Label2.Caption:='Вы берете из вазочки печенье.';
Label3.Caption:='Вы говорите себе, что на вечер надо непременно испечь (купить) торт.';
Label4.Caption:='Вы замечаете грязь на плите и решаете ее помыть.';
Label5.Caption:='Вы наливаете чашку кофе.';
end;

if i=16 then
begin
Label1.Caption:='16. В гостях у друзей к столу подали блюдо, которое вам категорически не нравится.';
Label2.Caption:='Вы заедаете каждый кусочек хлебом.';
Label3.Caption:='Вы съедаете совсем чуть-чуть, чтобы не обидеть хозяйку.';
Label4.Caption:='Вы сочиняете, что у вас аллергия на один из ингредиентов.';
Label5.Caption:='Вы говорите, что не любите это блюдо, и ждете следующего.';
end;
end;

procedure TForm1.Label4Click(Sender: TObject);
begin
if i=16 then
begin
if max<A then max:=A;
if max<B then max:=B;
if max<C then max:=C;
if max<D then max:=D;
if max=A then Memo1.Visible:=True;
if max=B then Memo2.Visible:=True;
if max=C then Memo3.Visible:=True;
if max=D then Memo4.Visible:=True;
end;

i:=i+1;
C:=C+1;
if i=1 then
begin
Label1.Caption:='1.Вы приходите к друзьям на ужин.';
Label2.Caption:='И сразу приступаете к аперитиву!';
Label3.Caption:='Вы с наслаждением вдыхаете запахи, доносящиеся из кухни.';
Label4.Caption:='Вы делаете вид, что недавно плотно перекусили, чтобы избежать необходимости есть.';
Label5.Caption:='Вы голодны и спрашиваете себя, когда же все сядут за стол.';
end;

if i=2 then
begin
Label1.Caption:='2. Вы заняты приготовлением обеда.';
Label2.Caption:='В процессе готовки вы отщипываете и съедаете по кусочку каждого блюда.';
Label3.Caption:='Вы пользуетесь случаем, чтобы изобрести новый рецепт.';
Label4.Caption:='Вы кладете побольше другим и поменьше себе...';
Label5.Caption:='Вы берете кетчуп и заправляете макароны.';
end;

if i=3 then
begin
Label1.Caption:='3. В ресторане официант приносит вам тарелку с огромной порцией.';
Label2.Caption:='Ваши мысли уже заняты десертом.';
Label3.Caption:='Вы наслаждаетесь едой!';
Label4.Caption:='Вы падаете духом и не можете доесть блюдо.';
Label5.Caption:='Вы -говорите себе, что на некоторое время голод вам не грозит.';
end;

if i=4 then
begin
Label1.Caption:='4. Как вам кажется, вы бываете голодны...';
Label2.Caption:='всегда.';
Label3.Caption:='когда наступает время еды и иногда между приемами пищи.';
Label4.Caption:='редко.';
Label5.Caption:='как и все люди.';
end;

if i=5 then
begin
Label1.Caption:='5. Вы встаете из-за стола после плотного обеда.';
Label2.Caption:='"Я сыт(а)!"';
Label3.Caption:='Напрашивается отдых на диване!"';
Label4.Caption:='"Я чувствую тяжесть."';
Label5.Caption:='"Вернемся к тому, что я делал(а) до еды."';
end;

if i=6 then
begin
Label1.Caption:='6. В течение рабочей недели вы чаще едите днем...';
Label2.Caption:='большой стейк с жареной картошкой.';
Label3.Caption:='немного чего-нибудь попроще.';
Label4.Caption:='легкий овощной салат.';
Label5.Caption:='сэндвич.';
end;

if i=7 then
begin
Label1.Caption:='7. Есть - это...';
Label2.Caption:='потребность.';
Label3.Caption:='настоящее удовольствие.';
Label4.Caption:='то, что мы вынуждены делать.';
Label5.Caption:='физиологическая функция.';
end;

if i=8 then
begin
Label1.Caption:='8. Глядя в зеркало, вы констатируете, что ваши формы округлились.';
Label2.Caption:='Ну же, надо съесть что-нибудь вкусненькое, чтобы себя утешить!';
Label3.Caption:='Нужно будет последить за весом.';
Label4.Caption:='Ой-ой-ой! Сегодня никакого обеда!';
Label5.Caption:='Наплевать! У меня хватает других забот!';
end;

if i=9 then
begin
Label1.Caption:='9. В детстве вы предпочитали:';
Label2.Caption:='фрукты.';
Label3.Caption:='конфеты.';
Label4.Caption:='только не сладости.';
Label5.Caption:='булочки.';
end;

if i=10 then
begin
Label1.Caption:='10. Сейчас вы любите...';
Label2.Caption:='Больше - сладкое.';
Label3.Caption:='Сладкое, соленое, пряное, острое - все!';
Label4.Caption:='Больше - соленое.';
Label5.Caption:='Мне не важно, что есть.';
end;

if i=11 then
begin
Label1.Caption:='11. Ваши друзья нередко говорят, что вы...';
Label2.Caption:='обжора.';
Label3.Caption:='утонченный гурман.';
Label4.Caption:='едите как птичка.';
Label5.Caption:='глотаете не жуя.';
end;

if i=12 then
begin
Label1.Caption:='12. По-вашему, идеальная кухня должна быть похожа на...';
Label2.Caption:='супермаркет.';
Label3.Caption:='пещеру Али-Бабы.';
Label4.Caption:='выставочный образец.';
Label5.Caption:='закусочную.';
end;

if i=13 then
begin
Label1.Caption:='13. К вам пришли родственники.';
Label2.Caption:='Вы скупаете весь супермаркет, чтобы у вас наверняка было все необходимое.';
Label3.Caption:='Вы готовите блюдо, которое они любят.';
Label4.Caption:='Единственный выход - заказать доставку готовых блюд: дорого, но идеально!';
Label5.Caption:='Вы покупаете замороженную пиццу.';
end;

if i=14 then
begin
Label1.Caption:='14. Вы присели съесть мороженое и стали свидетелем громкой ссоры.';
Label2.Caption:='От потрясения вы проглатываете ваш рожок в два глотка.';
Label3.Caption:='Вы пытаетесь успокоить ссорящихся, рискуя уронить мороженое.';
Label4.Caption:='Вы пересаживаетесь в другое место и выбрасываете мороженое: от этого зрелища у вас пропал аппетит.';
Label5.Caption:='Вы наблюдаете эту сцену издалека и про должаете есть мороженое.';
end;

if i=15 then
begin
Label1.Caption:='15. Дождливое воскресенье. Вы, скучая, заходите на кухню...';
Label2.Caption:='Вы берете из вазочки печенье.';
Label3.Caption:='Вы говорите себе, что на вечер надо непременно испечь (купить) торт.';
Label4.Caption:='Вы замечаете грязь на плите и решаете ее помыть.';
Label5.Caption:='Вы наливаете чашку кофе.';
end;

if i=16 then
begin
Label1.Caption:='16. В гостях у друзей к столу подали блюдо, которое вам категорически не нравится.';
Label2.Caption:='Вы заедаете каждый кусочек хлебом.';
Label3.Caption:='Вы съедаете совсем чуть-чуть, чтобы не обидеть хозяйку.';
Label4.Caption:='Вы сочиняете, что у вас аллергия на один из ингредиентов.';
Label5.Caption:='Вы говорите, что не любите это блюдо, и ждете следующего.';
end;
end;

procedure TForm1.Label5Click(Sender: TObject);
begin
if i=16 then
begin
if max<A then max:=A;
if max<B then max:=B;
if max<C then max:=C;
if max<D then max:=D;
if max=A then Memo1.Visible:=True;
if max=B then Memo2.Visible:=True;
if max=C then Memo3.Visible:=True;
if max=D then Memo4.Visible:=True;
end;

i:=i+1;
D:=D+1;
if i=1 then
begin
Label1.Caption:='1.Вы приходите к друзьям на ужин.';
Label2.Caption:='И сразу приступаете к аперитиву!';
Label3.Caption:='Вы с наслаждением вдыхаете запахи, доносящиеся из кухни.';
Label4.Caption:='Вы делаете вид, что недавно плотно перекусили, чтобы избежать необходимости есть.';
Label5.Caption:='Вы голодны и спрашиваете себя, когда же все сядут за стол.';
end;

if i=2 then
begin
Label1.Caption:='2. Вы заняты приготовлением обеда.';
Label2.Caption:='В процессе готовки вы отщипываете и съедаете по кусочку каждого блюда.';
Label3.Caption:='Вы пользуетесь случаем, чтобы изобрести новый рецепт.';
Label4.Caption:='Вы кладете побольше другим и поменьше себе...';
Label5.Caption:='Вы берете кетчуп и заправляете макароны.';
end;

if i=3 then
begin
Label1.Caption:='3. В ресторане официант приносит вам тарелку с огромной порцией.';
Label2.Caption:='Ваши мысли уже заняты десертом.';
Label3.Caption:='Вы наслаждаетесь едой!';
Label4.Caption:='Вы падаете духом и не можете доесть блюдо.';
Label5.Caption:='Вы -говорите себе, что на некоторое время голод вам не грозит.';
end;

if i=4 then
begin
Label1.Caption:='4. Как вам кажется, вы бываете голодны...';
Label2.Caption:='всегда.';
Label3.Caption:='когда наступает время еды и иногда между приемами пищи.';
Label4.Caption:='редко.';
Label5.Caption:='как и все люди.';
end;

if i=5 then
begin
Label1.Caption:='5. Вы встаете из-за стола после плотного обеда.';
Label2.Caption:='"Я сыт(а)!"';
Label3.Caption:='Напрашивается отдых на диване!"';
Label4.Caption:='"Я чувствую тяжесть."';
Label5.Caption:='"Вернемся к тому, что я делал(а) до еды."';
end;

if i=6 then
begin
Label1.Caption:='6. В течение рабочей недели вы чаще едите днем...';
Label2.Caption:='большой стейк с жареной картошкой.';
Label3.Caption:='немного чего-нибудь попроще.';
Label4.Caption:='легкий овощной салат.';
Label5.Caption:='сэндвич.';
end;

if i=7 then
begin
Label1.Caption:='7. Есть - это...';
Label2.Caption:='потребность.';
Label3.Caption:='настоящее удовольствие.';
Label4.Caption:='то, что мы вынуждены делать.';
Label5.Caption:='физиологическая функция.';
end;

if i=8 then
begin
Label1.Caption:='8. Глядя в зеркало, вы констатируете, что ваши формы округлились.';
Label2.Caption:='Ну же, надо съесть что-нибудь вкусненькое, чтобы себя утешить!';
Label3.Caption:='Нужно будет последить за весом.';
Label4.Caption:='Ой-ой-ой! Сегодня никакого обеда!';
Label5.Caption:='Наплевать! У меня хватает других забот!';
end;

if i=9 then
begin
Label1.Caption:='9. В детстве вы предпочитали:';
Label2.Caption:='фрукты.';
Label3.Caption:='конфеты.';
Label4.Caption:='только не сладости.';
Label5.Caption:='булочки.';
end;

if i=10 then
begin
Label1.Caption:='10. Сейчас вы любите...';
Label2.Caption:='Больше - сладкое.';
Label3.Caption:='Сладкое, соленое, пряное, острое - все!';
Label4.Caption:='Больше - соленое.';
Label5.Caption:='Мне не важно, что есть.';
end;

if i=11 then
begin
Label1.Caption:='11. Ваши друзья нередко говорят, что вы...';
Label2.Caption:='обжора.';
Label3.Caption:='утонченный гурман.';
Label4.Caption:='едите как птичка.';
Label5.Caption:='глотаете не жуя.';
end;

if i=12 then
begin
Label1.Caption:='12. По-вашему, идеальная кухня должна быть похожа на...';
Label2.Caption:='супермаркет.';
Label3.Caption:='пещеру Али-Бабы.';
Label4.Caption:='выставочный образец.';
Label5.Caption:='закусочную.';
end;

if i=13 then
begin
Label1.Caption:='13. К вам пришли родственники.';
Label2.Caption:='Вы скупаете весь супермаркет, чтобы у вас наверняка было все необходимое.';
Label3.Caption:='Вы готовите блюдо, которое они любят.';
Label4.Caption:='Единственный выход - заказать доставку готовых блюд: дорого, но идеально!';
Label5.Caption:='Вы покупаете замороженную пиццу.';
end;

if i=14 then
begin
Label1.Caption:='14. Вы присели съесть мороженое и стали свидетелем громкой ссоры.';
Label2.Caption:='От потрясения вы проглатываете ваш рожок в два глотка.';
Label3.Caption:='Вы пытаетесь успокоить ссорящихся, рискуя уронить мороженое.';
Label4.Caption:='Вы пересаживаетесь в другое место и выбрасываете мороженое: от этого зрелища у вас пропал аппетит.';
Label5.Caption:='Вы наблюдаете эту сцену издалека и про должаете есть мороженое.';
end;

if i=15 then
begin
Label1.Caption:='15. Дождливое воскресенье. Вы, скучая, заходите на кухню...';
Label2.Caption:='Вы берете из вазочки печенье.';
Label3.Caption:='Вы говорите себе, что на вечер надо непременно испечь (купить) торт.';
Label4.Caption:='Вы замечаете грязь на плите и решаете ее помыть.';
Label5.Caption:='Вы наливаете чашку кофе.';
end;

if i=16 then
begin
Label1.Caption:='16. В гостях у друзей к столу подали блюдо, которое вам категорически не нравится.';
Label2.Caption:='Вы заедаете каждый кусочек хлебом.';
Label3.Caption:='Вы съедаете совсем чуть-чуть, чтобы не обидеть хозяйку.';
Label4.Caption:='Вы сочиняете, что у вас аллергия на один из ингредиентов.';
Label5.Caption:='Вы говорите, что не любите это блюдо, и ждете следующего.';
end;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
if i=1 then
begin
Label1.Caption:='1.Вы приходите к друзьям на ужин.';
Label2.Caption:='И сразу приступаете к аперитиву!';
Label3.Caption:='Вы с наслаждением вдыхаете запахи, доносящиеся из кухни.';
Label4.Caption:='Вы делаете вид, что недавно плотно перекусили, чтобы избежать необходимости есть.';
Label5.Caption:='Вы голодны и спрашиваете себя, когда же все сядут за стол.';
end;

if i=2 then
begin
Label1.Caption:='2. Вы заняты приготовлением обеда.';
Label2.Caption:='В процессе готовки вы отщипываете и съедаете по кусочку каждого блюда.';
Label3.Caption:='Вы пользуетесь случаем, чтобы изобрести новый рецепт.';
Label4.Caption:='Вы кладете побольше другим и поменьше себе...';
Label5.Caption:='Вы берете кетчуп и заправляете макароны.';
end;

if i=3 then
begin
Label1.Caption:='3. В ресторане официант приносит вам тарелку с огромной порцией.';
Label2.Caption:='Ваши мысли уже заняты десертом.';
Label3.Caption:='Вы наслаждаетесь едой!';
Label4.Caption:='Вы падаете духом и не можете доесть блюдо.';
Label5.Caption:='Вы -говорите себе, что на некоторое время голод вам не грозит.';
end;

if i=4 then
begin
Label1.Caption:='4. Как вам кажется, вы бываете голодны...';
Label2.Caption:='всегда.';
Label3.Caption:='когда наступает время еды и иногда между приемами пищи.';
Label4.Caption:='редко.';
Label5.Caption:='как и все люди.';
end;

if i=5 then
begin
Label1.Caption:='5. Вы встаете из-за стола после плотного обеда.';
Label2.Caption:='"Я сыт(а)!"';
Label3.Caption:='Напрашивается отдых на диване!"';
Label4.Caption:='"Я чувствую тяжесть."';
Label5.Caption:='"Вернемся к тому, что я делал(а) до еды."';
end;

if i=6 then
begin
Label1.Caption:='6. В течение рабочей недели вы чаще едите днем...';
Label2.Caption:='большой стейк с жареной картошкой.';
Label3.Caption:='немного чего-нибудь попроще.';
Label4.Caption:='легкий овощной салат.';
Label5.Caption:='сэндвич.';
end;

if i=7 then
begin
Label1.Caption:='7. Есть - это...';
Label2.Caption:='потребность.';
Label3.Caption:='настоящее удовольствие.';
Label4.Caption:='то, что мы вынуждены делать.';
Label5.Caption:='физиологическая функция.';
end;

if i=8 then
begin
Label1.Caption:='8. Глядя в зеркало, вы констатируете, что ваши формы округлились.';
Label2.Caption:='Ну же, надо съесть что-нибудь вкусненькое, чтобы себя утешить!';
Label3.Caption:='Нужно будет последить за весом.';
Label4.Caption:='Ой-ой-ой! Сегодня никакого обеда!';
Label5.Caption:='Наплевать! У меня хватает других забот!';
end;

if i=9 then
begin
Label1.Caption:='9. В детстве вы предпочитали:';
Label2.Caption:='фрукты.';
Label3.Caption:='конфеты.';
Label4.Caption:='только не сладости.';
Label5.Caption:='булочки.';
end;

if i=10 then
begin
Label1.Caption:='10. Сейчас вы любите...';
Label2.Caption:='Больше - сладкое.';
Label3.Caption:='Сладкое, соленое, пряное, острое - все!';
Label4.Caption:='Больше - соленое.';
Label5.Caption:='Мне не важно, что есть.';
end;

if i=11 then
begin
Label1.Caption:='11. Ваши друзья нередко говорят, что вы...';
Label2.Caption:='обжора.';
Label3.Caption:='утонченный гурман.';
Label4.Caption:='едите как птичка.';
Label5.Caption:='глотаете не жуя.';
end;

if i=12 then
begin
Label1.Caption:='12. По-вашему, идеальная кухня должна быть похожа на...';
Label2.Caption:='супермаркет.';
Label3.Caption:='пещеру Али-Бабы.';
Label4.Caption:='выставочный образец.';
Label5.Caption:='закусочную.';
end;

if i=13 then
begin
Label1.Caption:='13. К вам пришли родственники.';
Label2.Caption:='Вы скупаете весь супермаркет, чтобы у вас наверняка было все необходимое.';
Label3.Caption:='Вы готовите блюдо, которое они любят.';
Label4.Caption:='Единственный выход - заказать доставку готовых блюд: дорого, но идеально!';
Label5.Caption:='Вы покупаете замороженную пиццу.';
end;

if i=14 then
begin
Label1.Caption:='14. Вы присели съесть мороженое и стали свидетелем громкой ссоры.';
Label2.Caption:='От потрясения вы проглатываете ваш рожок в два глотка.';
Label3.Caption:='Вы пытаетесь успокоить ссорящихся, рискуя уронить мороженое.';
Label4.Caption:='Вы пересаживаетесь в другое место и выбрасываете мороженое: от этого зрелища у вас пропал аппетит.';
Label5.Caption:='Вы наблюдаете эту сцену издалека и про должаете есть мороженое.';
end;

if i=15 then
begin
Label1.Caption:='15. Дождливое воскресенье. Вы, скучая, заходите на кухню...';
Label2.Caption:='Вы берете из вазочки печенье.';
Label3.Caption:='Вы говорите себе, что на вечер надо непременно испечь (купить) торт.';
Label4.Caption:='Вы замечаете грязь на плите и решаете ее помыть.';
Label5.Caption:='Вы наливаете чашку кофе.';
end;

if i=16 then
begin
Label1.Caption:='16. В гостях у друзей к столу подали блюдо, которое вам категорически не нравится.';
Label2.Caption:='Вы заедаете каждый кусочек хлебом.';
Label3.Caption:='Вы съедаете совсем чуть-чуть, чтобы не обидеть хозяйку.';
Label4.Caption:='Вы сочиняете, что у вас аллергия на один из ингредиентов.';
Label5.Caption:='Вы говорите, что не любите это блюдо, и ждете следующего.';
end;



end;

end.
